package com.zcloud.service.eightwork.impl;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;
import com.zcloud.mapper.datasource.eightwork.ConfinedSpaceGasWHMapper;
import com.zcloud.service.eightwork.ConfinedSpaceGasWHService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 说明：有限空间气体
 * 作者：luoxiaobao
 * 时间：2022-08-11
 * 官网：www.zcloudchina.com
 */
@Service
@Transactional //开启事物
public class ConfinedSpaceGasWHServiceImpl implements ConfinedSpaceGasWHService {

	@Autowired
	private ConfinedSpaceGasWHMapper confinedspacegaswhMapper;

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	public void save(PageData pd)throws Exception{
		confinedspacegaswhMapper.save(pd);
	}

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	public void delete(PageData pd)throws Exception{
		confinedspacegaswhMapper.delete(pd);
	}

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	public void edit(PageData pd)throws Exception{
		confinedspacegaswhMapper.edit(pd);
	}

	public void edittime(PageData pd)throws Exception{
		confinedspacegaswhMapper.edittime(pd);
	}

	/**列表
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> list(Page page)throws Exception{
		return confinedspacegaswhMapper.datalistPage(page);
	}

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listAll(PageData pd)throws Exception{
		return confinedspacegaswhMapper.listAll(pd);
	}

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findById(PageData pd)throws Exception{
		return confinedspacegaswhMapper.findById(pd);
	}

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	public void deleteAll(String[] ArrayDATA_IDS)throws Exception{
		confinedspacegaswhMapper.deleteAll(ArrayDATA_IDS);
	}

}

